com.verisign.epp.codec.contact

## Class EPPContactStatus

- java.lang.Object
- - com.verisign.epp.codec.contact.EPPContactStatus

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPContactStatus
      extends java.lang.Object
      implements EPPCodecComponent

  Represents a contact Status. A contact object MUST always have at least one associated status value. Status values MAY be set only by the client that sponsors a contact object and by the server on which the object resides. A client MAY change the status of a contact object using the EPP <update> command. Each status value MAY be accompanied by a string of human-readable text that describes the rationale for the status applied to the object.
  A client MUST NOT alter status values set by the server. A server MAY alter or override status values set by a client subject to local server policies.
  Status values that may be added or removed by a client are prefixed with "client". Corresponding status values that may be added or removed by a server are prefixed with "server". Status values that do not begin with either "client" or "server" are server-managed.
  Status Value Descriptions:
  - clientDeleteProhibited, serverDeleteProhibited: Requests to delete the object MUST be rejected.
  - clientTransferProhibited, serverTransferProhibited: Requests to transfer the object MUST be rejected.
  - clientUpdateProhibited, serverUpdateProhibited: Requests to update the object (other than to remove this status) MUST be rejected.
  - linked: The contact object has at least one active association with another object, such as a domain object. Servers SHOULD provide services to determine existing object associations.
  - ok: This is the nominal status value for an object that has no pending operations or prohibitions.
  - pendingDelete: A delete request has been received for the object, but the object has not yet been purged from the server database.
  - pendingTransfer:
  - A transfer request has been received for the object, and completion of the request is pending. Transform commands other than <transfer> MUST be rejected while an object is in this state.
  - "ok" status MUST NOT be combined with any other status.
  - "pendingDelete" status MUST NOT be combined with either "clientDeleteProhibited" or "serverDeleteProhibited" status.
  - "pendingTransfer" status MUST NOT be combined with either "clientTransferProhibited" or "serverTransferProhibited" status.
  - All other status value combinations are valid.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_DEFAULT_LANG` Default Language -- English "en"
    `static java.lang.String` | `ELM_STATUS_CLIENT_DELETE_PROHIBITED` Value of the client delete prohibited status in contact mapping
    `static java.lang.String` | `ELM_STATUS_CLIENT_TRANSFER_PROHIBITED` Value of the client transfer prohibited status in contact mapping
    `static java.lang.String` | `ELM_STATUS_CLIENT_UPDATE_PROHIBITED` Value of the client update prohibited status in contact mapping
    `static java.lang.String` | `ELM_STATUS_LINKED` Value of the linked status in contact mapping
    `static java.lang.String` | `ELM_STATUS_OK` Value of the OK status in contact mapping
    `static java.lang.String` | `ELM_STATUS_PENDING_DELETE` Value of the pending delete status in contact mapping
    `static java.lang.String` | `ELM_STATUS_PENDING_TRANSFER` Value of the pending transfer status in contact mapping
    `static java.lang.String` | `ELM_STATUS_SERVER_DELETE_PROHIBITED` Value of the server delete prohibited status in contact mapping
    `static java.lang.String` | `ELM_STATUS_SERVER_TRANSFER_PROHIBITED` Value of the server transfer prohibited status in contact mapping
    `static java.lang.String` | `ELM_STATUS_SERVER_UPDATE_PROHIBITED` Value of the server update prohibited status in contact mapping

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPContactStatus()` `EPPContactStatus` default constructor.
    `EPPContactStatus(java.lang.String aStatus)` `EPPContactStatus` constructor that takes the contact status as argument.
    `EPPContactStatus(java.lang.String aStatus, java.lang.String aDesc)` `EPPContactStatus` constructor that takes the contact status and a status description.
    `EPPContactStatus(java.lang.String aStatus, java.lang.String aDesc, java.lang.String aLang)` `EPPContactStatus` constructor that takes the contact status and the language as arguments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPContactStatus`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the EPPContactStatus attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the EPPContactStatus instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPContactStatus` compare.
    `java.lang.String` | `getDescription()` Gets the status description, which is free form text describing the rationale for the status.
    `java.lang.String` | `getLang()` Get language.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getStatus()` Get contact status.
    `void` | `setDescription(java.lang.String aDesc)` Sets the status description, which is free form text describing the rationale for the status.
    `void` | `setLang(java.lang.String newLang)` Set language.
    `void` | `setStatus(java.lang.String newStatus)` Set contact status.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_STATUS_OK

          public static final java.lang.String ELM_STATUS_OK

      Value of the OK status in contact mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_PENDING_DELETE

          public static final java.lang.String ELM_STATUS_PENDING_DELETE

      Value of the pending delete status in contact mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_PENDING_TRANSFER

          public static final java.lang.String ELM_STATUS_PENDING_TRANSFER

      Value of the pending transfer status in contact mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_CLIENT_DELETE_PROHIBITED

          public static final java.lang.String ELM_STATUS_CLIENT_DELETE_PROHIBITED

      Value of the client delete prohibited status in contact mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_CLIENT_UPDATE_PROHIBITED

          public static final java.lang.String ELM_STATUS_CLIENT_UPDATE_PROHIBITED

      Value of the client update prohibited status in contact mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_LINKED

          public static final java.lang.String ELM_STATUS_LINKED

      Value of the linked status in contact mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_SERVER_DELETE_PROHIBITED

          public static final java.lang.String ELM_STATUS_SERVER_DELETE_PROHIBITED

      Value of the server delete prohibited status in contact mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_SERVER_UPDATE_PROHIBITED

          public static final java.lang.String ELM_STATUS_SERVER_UPDATE_PROHIBITED

      Value of the server update prohibited status in contact mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_CLIENT_TRANSFER_PROHIBITED

          public static final java.lang.String ELM_STATUS_CLIENT_TRANSFER_PROHIBITED

      Value of the client transfer prohibited status in contact mapping
      See Also:
        Constant Field Values

    - #### ELM_STATUS_SERVER_TRANSFER_PROHIBITED

          public static final java.lang.String ELM_STATUS_SERVER_TRANSFER_PROHIBITED

      Value of the server transfer prohibited status in contact mapping
      See Also:
        Constant Field Values

    - #### ELM_DEFAULT_LANG

          public static final java.lang.String ELM_DEFAULT_LANG

      Default Language -- English "en"
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPContactStatus

          public EPPContactStatus()

      `EPPContactStatus` default constructor.

    - #### EPPContactStatus

          public EPPContactStatus(java.lang.String aStatus)

      `EPPContactStatus` constructor that takes the contact status as argument.
      Parameters:
        `aStatus` - Domain status which should be one of the `ELM_STATUS` constants.

    - #### EPPContactStatus

          public EPPContactStatus(java.lang.String aStatus,
                                  java.lang.String aDesc)

      `EPPContactStatus` constructor that takes the contact status and a status description.
      Parameters:
        `aStatus` - Domain status which should be one of the `ELM_STATUS` constants.
        `aDesc` - A description of the status change

    - #### EPPContactStatus

          public EPPContactStatus(java.lang.String aStatus,
                                  java.lang.String aDesc,
                                  java.lang.String aLang)

      `EPPContactStatus` constructor that takes the contact status and the language as arguments.
      Parameters:
        `aStatus` - Domain status which should be one of the `ELM_STATUS` constants.
        `aDesc` - A description of the status change
        `aLang` - Language of the status description

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPContactStatus`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPContactStatus`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the EPPContactStatus attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - - Root DOM Element to decode EPPContactStatus from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the EPPContactStatus instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element - Root DOM Element representing the EPPContactStatus instance.
      Throws:
        `EPPEncodeException` - - Unable to encode EPPContactStatus instance.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPContactStatus` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPContactStatus` instance to compare with
      Returns:
        DOCUMENT ME!

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getLang

          public java.lang.String getLang()

      Get language.
      Returns:
        String Language

    - #### getStatus

          public java.lang.String getStatus()

      Get contact status.
      Returns:
        String Contact status

    - #### setLang

          public void setLang(java.lang.String newLang)

      Set language.
      Parameters:
        `newLang` - String

    - #### setStatus

          public void setStatus(java.lang.String newStatus)

      Set contact status.
      Parameters:
        `newStatus` - String

    - #### getDescription

          public java.lang.String getDescription()

      Gets the status description, which is free form text describing the rationale for the status.
      Returns:
        DOCUMENT ME!

    - #### setDescription

          public void setDescription(java.lang.String aDesc)

      Sets the status description, which is free form text describing the rationale for the status.
      Parameters:
        `aDesc` - status description

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.